let d = cc.preDefined;

// OVHM隐藏广告按钮的版本
// 一级
d.CN = 1;
d.EN = 0;
d.region = 'cn';
d.apiURL = "http://47.106.255.178:3002/api";
d.boardURL = "http://47.106.255.178:3002/board";

// type1 国内iOS
if (d.type == 1) {
    // 是否有登录
    d.needLoggin = true;
    // 是否有开屏广告
    // iOS和安卓官方版本需要去掉开屏广告
    d.hasSplashAd = false;
    // 是否有信息流广告
    d.hasFeedAd = true;
    // 是否开启自动弹出VIP界面，目前仅有iOS支持VIP界面
    d.autoShowVipGUI = true;

    // 二级
    d.Android_CN = 0;
    d.Android_EN = 0;
    d.iOS_CN = 1;
    d.iOS_EN = 0;

    // 三级
    // 是否有VIP周卡
    d.VIP = 1;
    // 是否有钻石购买商城
    d.Gem = 1;

    // 是否有分享地址
    // OVHM
    d.OVHM_Hide = 1;
    d.OVHM_Show = 0;
    // Test为临时过审配置，过审后删除
    d.OVHMTest = 1;
    d.OVHMTest2 = 0;

    // 录像版本需要去掉插屏广告的背景，这个应该是个临时参数
    d.AD_Show = 1;

    // ShareGUI拍照分享界面的配置
    // 完整 url
    d.SHARE_URL = "https://apps.apple.com/cn/app/id1519197362"; // 国内iOS
    //d.SHARE_URL = "https://apps.apple.com/us/app/id1458687449"; // 海外iOS
    //d.SHARE_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓
    //d.SHARE_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓

    // ReviewGUI评星界面的配置，ios填 appid，android填完整 url
    d.REVIEW_URL = "1519197362"; // 国内iOS
    //d.REVIEW_URL = "1458687449"; // 海外iOS
    //d.REVIEW_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓，国内其实没有这个功能
    //d.REVIEW_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓
}

// type2 国内安卓包
if (d.type == 2) {
    // 是否有登录
    d.needLoggin = true;

    // 是否有开屏广告
    // iOS和安卓官方版本需要去掉开屏广告
    d.hasSplashAd = false;
    // 是否有信息流广告
    d.hasFeedAd = true;
    // 是否开启自动弹出VIP界面
    d.autoShowVipGUI = false;
    
    // topon 广告参数有2套，如果 topontf 配为1，则使用第2套（topontf买量用）
    // 此配置仅对使用 topon 广告时有意义
    d.topontf = 0;

    // 二级
    d.Android_CN = 1;
    d.Android_EN = 0;
    d.iOS_CN = 0;
    d.iOS_EN = 0;

    // 三级
    // 是否有VIP周卡
    // 国内安卓版本没有VIP
    d.VIP = 0;
    // 是否有钻石购买商城
    // 所有安卓版本都没有钻石购买
    d.Gem = 0;

    // OVHM
    d.OVHM_Hide = 1;
    d.OVHM_Show = 0;
    // Test为临时过审配置，过审后删除
    d.OVHMTest = 1;
    d.OVHMTest2 = 0;

    // 录像版本需要去掉插屏广告的背景，这个应该是个临时参数
    d.AD_Show = 1;

    // ShareGUI拍照分享界面的配置
    // 完整 url
    //d.SHARE_URL = "https://apps.apple.com/cn/app/id1519197362"; // 国内iOS
    //d.SHARE_URL = "https://apps.apple.com/us/app/id1458687449"; // 海外iOS
    d.SHARE_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓
    //d.SHARE_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓

    // ReviewGUI评星界面的配置，ios填 appid，android填完整 url
    //d.REVIEW_URL = "1519197362"; // 国内iOS
    //d.REVIEW_URL = "1458687449"; // 海外iOS
    d.REVIEW_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓，国内其实没有这个功能
    //d.REVIEW_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓
}

// type3 国内安卓topontf包
if (d.type == 3) {
    // 是否有登录
    d.needLoggin = true;

    // 是否有开屏广告
    // iOS和安卓官方版本需要去掉开屏广告
    d.hasSplashAd = false;
    // 是否有信息流广告
    d.hasFeedAd = true;
    // 是否开启自动弹出VIP界面
    d.autoShowVipGUI = false;
    
    // topon 广告参数有2套，如果 topontf 配为1，则使用第2套（topontf买量用）
    // 此配置仅对使用 topon 广告时有意义
    d.topontf = 1;

    // 二级
    d.Android_CN = 1;
    d.Android_EN = 0;
    d.iOS_CN = 0;
    d.iOS_EN = 0;

    // 三级
    // 是否有VIP周卡
    // 国内安卓版本没有VIP
    d.VIP = 0;
    // 是否有钻石购买商城
    // 所有安卓版本都没有钻石购买
    d.Gem = 0;

    // OVHM
    d.OVHM_Hide = 1;
    d.OVHM_Show = 0;
    // Test为临时过审配置，过审后删除
    d.OVHMTest = 1;
    d.OVHMTest2 = 0;

    // 录像版本需要去掉插屏广告的背景，这个应该是个临时参数
    d.AD_Show = 1;

    // ShareGUI拍照分享界面的配置
    // 完整 url
    //d.SHARE_URL = "https://apps.apple.com/cn/app/id1519197362"; // 国内iOS
    //d.SHARE_URL = "https://apps.apple.com/us/app/id1458687449"; // 海外iOS
    d.SHARE_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓
    //d.SHARE_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓

    // ReviewGUI评星界面的配置，ios填 appid，android填完整 url
    //d.REVIEW_URL = "1519197362"; // 国内iOS
    //d.REVIEW_URL = "1458687449"; // 海外iOS
    d.REVIEW_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓，国内其实没有这个功能
    //d.REVIEW_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓
}

// type4 国内安卓渠道包
if (d.type == 4) {
    // 是否有登录
    d.needLoggin = true;

    // 是否有开屏广告
    // iOS版本需要去掉开屏广告
    d.hasSplashAd = true;
    // 是否有信息流广告
    d.hasFeedAd = true;
    // 是否开启自动弹出VIP界面
    d.autoShowVipGUI = false;

    // 二级
    d.Android_CN = 1;
    d.Android_EN = 0;
    d.iOS_CN = 0;
    d.iOS_EN = 0;

    // 三级
    // 是否有VIP周卡
    // 国内安卓版本没有VIP
    d.VIP = 0;
    // 是否有钻石购买商城
    // 所有安卓版本都没有钻石购买
    d.Gem = 0;

    // OVHM
    d.OVHM_Hide = 0;
    d.OVHM_Show = 1;
    // Test为临时过审配置，过审后删除
    d.OVHMTest = 1;
    d.OVHMTest2 = 0;

    // 录像版本需要去掉插屏广告的背景，这个应该是个临时参数
    d.AD_Show = 1;

    // ShareGUI拍照分享界面的配置
    // 完整 url
    //d.SHARE_URL = "https://apps.apple.com/cn/app/id1519197362"; // 国内iOS
    //d.SHARE_URL = "https://apps.apple.com/us/app/id1458687449"; // 海外iOS
    d.SHARE_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓
    //d.SHARE_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓

    // ReviewGUI评星界面的配置，ios填 appid，android填完整 url
    //d.REVIEW_URL = "1519197362"; // 国内iOS
    //d.REVIEW_URL = "1458687449"; // 海外iOS
    d.REVIEW_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓，国内其实没有这个功能
    //d.REVIEW_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓
}

// type5 国内安卓无广告按钮包
if (d.type == 5) {
    // 是否有登录
    d.needLoggin = true;

    // 是否有开屏广告
    // iOS版本需要去掉开屏广告
    d.hasSplashAd = true;
    // 是否有信息流广告
    d.hasFeedAd = true;
    // 是否开启自动弹出VIP界面
    d.autoShowVipGUI = false;

    // 二级
    d.Android_CN = 1;
    d.Android_EN = 0;
    d.iOS_CN = 0;
    d.iOS_EN = 0;

    // 三级
    // 是否有VIP周卡
    // 国内安卓版本没有VIP
    d.VIP = 0;
    // 是否有钻石购买商城
    // 所有安卓版本都没有钻石购买
    d.Gem = 0;

    // OVHM
    d.OVHM_Hide = 0;
    d.OVHM_Show = 1;
    // Test为临时过审配置，过审后删除
    d.OVHMTest = 0;
    d.OVHMTest2 = 1;

    // 录像版本需要去掉插屏广告的背景，这个应该是个临时参数
    d.AD_Show = 1;

    // ShareGUI拍照分享界面的配置
    // 完整 url
    //d.SHARE_URL = "https://apps.apple.com/cn/app/id1519197362"; // 国内iOS
    //d.SHARE_URL = "https://apps.apple.com/us/app/id1458687449"; // 海外iOS
    d.SHARE_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓
    //d.SHARE_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓

    // ReviewGUI评星界面的配置，ios填 appid，android填完整 url
    //d.REVIEW_URL = "1519197362"; // 国内iOS
    //d.REVIEW_URL = "1458687449"; // 海外iOS
    d.REVIEW_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓，国内其实没有这个功能
    //d.REVIEW_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓
}

// type6 录像用的包
if (d.type == 6) {
    // 是否有登录
    d.needLoggin = false;

    // 是否有开屏广告
    d.hasSplashAd = false;
    // 是否有信息流广告
    d.hasFeedAd = false;
    // 是否开启自动弹出VIP界面
    d.autoShowVipGUI = false;

    // 二级
    d.Android_CN = 1;
    d.Android_EN = 0;
    d.iOS_CN = 0;
    d.iOS_EN = 0;

    // 三级
    // 是否有VIP周卡
    // 国内安卓版本没有VIP
    d.VIP = 0;
    // 是否有钻石购买商城
    // 所有安卓版本都没有钻石购买
    d.Gem = 0;

    // OVHM
    d.OVHM_Hide = 1;
    d.OVHM_Show = 0;
    // Test为临时过审配置，过审后删除
    d.OVHMTest = 1;
    d.OVHMTest2 = 0;

    // 录像版本需要去掉插屏广告的背景，这个应该是个临时参数
    d.AD_Show = 0;

    // ShareGUI拍照分享界面的配置
    // 完整 url
    //d.SHARE_URL = "https://apps.apple.com/cn/app/id1519197362"; // 国内iOS
    //d.SHARE_URL = "https://apps.apple.com/us/app/id1458687449"; // 海外iOS
    d.SHARE_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓
    //d.SHARE_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓

    // ReviewGUI评星界面的配置，ios填 appid，android填完整 url
    //d.REVIEW_URL = "1519197362"; // 国内iOS
    //d.REVIEW_URL = "1458687449"; // 海外iOS
    d.REVIEW_URL = "https://www.chengzijianzhan.com/tetris/page/6848942743919362062"; // 国内安卓，国内其实没有这个功能
    //d.REVIEW_URL = "https://play.google.com/store/apps/details?id=com.YezhStudio.HermesUS"; // 海外安卓
}